from Products.ERP5Type.Log import log

log("Processing raw data from Data Stream " + str(input_stream_data.getReference()) + " to Data Array " + str(output_array.getReference()))
context.logEntry("Processing raw data from Data Stream to Data Array for Data Ingestion %s" % str(output_array.getReference()))

result = str(context.processRawData(input_stream_data, output_array, output_descriptor))
log(result)

context.logEntry("Result: %s" % result)

log("Metadata stored in Data Descriptor " + str(output_descriptor))
